Google Analytics 4 Compatible with existing analytics plugin?

  • Posts: 405
  • Thank you received: 7
  • Hikashop Business
1 week 1 day ago #333399

-- HikaShop version -- : 4.4.3
-- Joomla version -- : 3.9
-- PHP version -- : 7
-- Error-message(debug-mod must be tuned on) -- : none

Hi Nicholas

Would like to check if the new GA4 ecommerce compatible with our existing GA plugin?

or need any modification?

Please Log in or Create an account to join the conversation.

  • Posts: 73081
  • Thank you received: 11164
  • MODERATOR
1 week 1 day ago #333413

Hi,

We actually talked about this in another thread a few months ago:
www.hikashop.com/forum/integrations/901713-ga4-integration.html
So I would recommend reading there for more details.
In short, while the GA plugin is not compatible with the GA 4 ecommerce API, it still works fine with GA accounts and no modifications are needed.
The GA4 ecommerce API is to track events on the website, not sales, so it's another purpose.
It could be interesting in the future to have an extra GA plugin for it, but it won't help much for the tracking of sales so the plugin we have will still be needed and more useful.

Please Log in or Create an account to join the conversation.

Time to create page: 0.055 seconds
Powered by Kunena Forum